// COMMON //

textures/tributes/intro_text
{
	qer_editorimage textures/tributes/intro_text.jpg
	surfaceparm nolightmap
	surfaceparm slick
	surfaceparm nodamage
	{
 		map textures/tributes/intro_text.jpg
  }
}

textures/tributes/void_black
{
	qer_editorimage textures/common/ed/color/black
	surfaceparm nolightmap
	surfaceparm slick
	surfaceparm nodamage
	{
		map $whiteimage
		rgbgen const ( 0 0 0 )
	}
}

textures/tributes/void_darkred
{
	qer_editorimage textures/common/ed/color/darkred
	surfaceparm slick
	surfaceparm nolightmap
	surfaceparm nodamage
	{
		map $whiteimage
		rgbgen const ( 0.9 0.14 0.14 )
	}
}

textures/tributes/void_darkgreen
{
	qer_editorimage textures/common/ed/color/darkgreen
	surfaceparm slick
	surfaceparm nolightmap
	surfaceparm nodamage
	{
		map $whiteimage
		rgbgen const ( 0 .54 0 )
	}
}




// SPACEJUMPS //

textures/tributes/spacejumps/space_skybox
{
	qer_editorimage textures/tributes/spacejumps/skybox.jpg
	surfaceparm noimpact
	surfaceparm nolightmap
	q3map_globaltexture
	surfaceparm sky
	skyparms env/tributes/spacejumps/stratosphere - -
}

textures/tributes/spacejumps/space_lightbulb
{
	qer_editorimage textures/tributes/spacejumps/lightbulb.tga
	surfaceparm nomarks
	surfaceparm trans
	surfaceparm nodamage
	q3map_surfacelight 100
	{
		map textures/tributes/spacejumps/lightbulb.tga
		blendfunc add
		rgbGen Vertex
	}
}

textures/tributes/spacejumps/space_spinning_plat
{
	qer_editorimage textures/tributes/spacejumps/spinning_plat.tga
	q3map_lightimage textures/tributes/spacejumps/spinning_plat_fx.tga
	surfaceparm metalsteps
	surfaceparm nodamage
	q3map_surfacelight 100
	q3map_backSplash 25 25
	{
		map textures/tributes/spacejumps/spinning_plat_fx.tga
		rgbGen identity
		tcMod rotate 760
	}
	{
		map textures/tributes/spacejumps/spinning_plat.tga
		blendfunc blend
		rgbGen identity
	}
	{
		map $lightmap
		blendfunc gl_dst_color gl_one_minus_dst_alpha
		rgbGen identity
		tcGen lightmap
	}
}

textures/tributes/spacejumps/space_zapper
{
	q3map_surfacelight 300
	q3map_backSplash 25 25
	qer_editorimage textures/tributes/spacejumps/space_zapper.tga
	surfaceparm	trans
	surfaceparm nomarks
	surfaceparm nolightmap
	surfaceparm nodamage
	cull none

	{
		Map textures/tributes/spacejumps/space_zapper.tga
		blendFunc GL_ONE GL_ONE
                rgbgen wave triangle .8 2 0 7
                tcMod scroll 0 1
	}
        {
		Map textures/tributes/spacejumps/space_zapper.tga
		blendFunc GL_ONE GL_ONE
                rgbgen wave triangle 1 1.4 0 5
                tcMod scale  -1 1
                tcMod scroll 0 1
	}
        {
		Map textures/tributes/spacejumps/space_zapper_2.tga
		blendFunc GL_ONE GL_ONE
                rgbgen wave triangle 1 1.4 0 6.3
                tcMod scale  -1 1
                tcMod scroll 2 1
	}
        {
		Map textures/tributes/spacejumps/space_zapper_2.tga
		blendFunc GL_ONE GL_ONE
                rgbgen wave triangle 1 1.4 0 7.7
                tcMod scroll -1.3 1
	}
}

textures/tributes/spacejumps/space_ladder_laser
{
	qer_editorimage textures/tributes/spacejumps/ladder_laser.tga
	q3map_lightimage textures/tributes/spacejumps/ladder_laser_fx.tga
	q3map_surfacelight 100
	q3map_backSplash 25 25
	surfaceparm nodamage
	{
		map $lightmap
		rgbGen identity
		tcGen lightmap
	}
	{
		map textures/tributes/spacejumps/ladder_laser.tga
		blendfunc filter
		rgbGen identity
	}
	{
		map textures/tributes/spacejumps/ladder_laser_fx.tga
		blendfunc add
		tcMod scroll -2 0
	}
}

textures/tributes/spacejumps/space_grate
{
	surfaceparm nodamage
	{
		map $lightmap
		rgbGen identity
	}
	qer_editorimage textures/tributes/spacejumps/grate.jpg
	{
 		map textures/tributes/spacejumps/grate.jpg
		blendFunc GL_DST_COLOR GL_ZERO
  }
}

textures/tributes/spacejumps/space_grate_nolight
{
	surfaceparm nodamage
	qer_editorimage textures/tributes/spacejumps/grate.jpg
	{
 		map textures/tributes/spacejumps/grate.jpg
  }
}

textures/tributes/spacejumps/space_danger
{
	surfaceparm nodamage
	{
		map $lightmap
		rgbGen identity
	}
	qer_editorimage textures/tributes/spacejumps/danger.jpg
	{
 		map textures/tributes/spacejumps/danger.jpg
		blendFunc GL_DST_COLOR GL_ZERO
  }
}

textures/tributes/spacejumps/space_danger_nolight
{
	surfaceparm nodamage
	qer_editorimage textures/tributes/spacejumps/danger.jpg
	{
 		map textures/tributes/spacejumps/danger.jpg
  }
}

textures/tributes/spacejumps/space_metal_props
{
	surfaceparm nodamage
	{
		map $lightmap
		rgbGen identity
	}
	qer_editorimage textures/tributes/spacejumps/metal_props.tga
	{
 		map textures/tributes/spacejumps/metal_props.tga
		blendFunc GL_DST_COLOR GL_ZERO
  }
}

textures/tributes/spacejumps/space_trim
{
	surfaceparm nodamage
	{
		map $lightmap
		rgbGen identity
	}
	qer_editorimage textures/tributes/spacejumps/trim.jpg
	{
 		map textures/tributes/spacejumps/trim.jpg
		blendFunc GL_DST_COLOR GL_ZERO
  }
}

textures/tributes/spacejumps/space_wall
{
	surfaceparm nodamage
	{
		map $lightmap
		rgbGen identity
	}
	qer_editorimage textures/tributes/spacejumps/wall.jpg
	{
 		map textures/tributes/spacejumps/wall.jpg
		blendFunc GL_DST_COLOR GL_ZERO
  }
}




// JUMPTHIS //

textures/tributes/jumpthis/this_skybox
{
	qer_editorimage textures/tributes/jumpthis/skybox.tga
	surfaceparm noimpact
	surfaceparm nolightmap
	surfaceparm sky
	skyparms env/tributes/jumpthis/mountains 256 -
}

textures/tributes/jumpthis/this_tiles
{
	surfaceparm nodamage
	qer_editorimage textures/tributes/jumpthis/tiles.jpg
	{
 		map textures/tributes/jumpthis/tiles.jpg
  }
}

textures/tributes/jumpthis/this_wall
{
	surfaceparm nodamage
	qer_editorimage textures/tributes/jumpthis/wall.jpg
	{
 		map textures/tributes/jumpthis/wall.jpg
  }
}

textures/tributes/jumpthis/this_wall_top
{
	surfaceparm nodamage
	qer_editorimage textures/tributes/jumpthis/wall_top.jpg
	{
 		map textures/tributes/jumpthis/wall_top.jpg
  }
}

textures/tributes/jumpthis/this_wall_bottom
{
	surfaceparm nodamage
	qer_editorimage textures/tributes/jumpthis/wall_bottom.jpg
	{
 		map textures/tributes/jumpthis/wall_bottom.jpg
  }
}

textures/tributes/jumpthis/this_back
{
	surfaceparm nodamage
	qer_editorimage textures/tributes/jumpthis/back.jpg
	{
 		map textures/tributes/jumpthis/back.jpg
  }
}

textures/tributes/jumpthis/this_next
{
	surfaceparm nodamage
	qer_editorimage textures/tributes/jumpthis/next.jpg
	{
 		map textures/tributes/jumpthis/next.jpg
  }
}

textures/tributes/jumpthis/this_grass
{
	surfaceparm nodamage
	qer_editorimage textures/tributes/jumpthis/grass.jpg
	{
 		map textures/tributes/jumpthis/grass.jpg
  }
}




// UBERJUMPS //

textures/tributes/uberjumps/uber_skybox
{
	qer_editorimage textures/tributes/spacejumps/skybox.jpg
	surfaceparm noimpact
	surfaceparm nolightmap
	q3map_globaltexture
	q3map_skylight 150 3
	surfaceparm sky
	q3map_sun 0.941 0.984 1.00 150 270 45
	skyparms env/tributes/spacejumps/stratosphere - -
}

textures/tributes/uberjumps/uber_dark_glass
{
	qer_editorimage textures/tributes/uberjumps/glass.tga
	qer_trans .5
	surfaceparm trans
	cull disable
	{
		map textures/tributes/uberjumps/glass_fx.tga
		tcgen environment
		blendfunc gl_one gl_one
		rgbGen identity
	}
	{
		map $lightmap
		blendFunc gl_dst_color gl_zero
		rgbgen identity
	}
}

textures/tributes/uberjumps/uber_concrete
{
	surfaceparm nodamage
	{
		map $lightmap
		rgbGen identity
	}
	qer_editorimage textures/tributes/uberjumps/concrete.jpg
	{
 		map textures/tributes/uberjumps/concrete.jpg
		blendFunc GL_DST_COLOR GL_ZERO
  }
}

textures/tributes/uberjumps/uber_ads_counterforce
{
	surfaceparm nodamage
	{
		map $lightmap
		rgbGen identity
	}
	qer_editorimage textures/tributes/uberjumps/ads_counterforce.jpg
	{
 		map textures/tributes/uberjumps/ads_counterforce.jpg
		blendFunc GL_DST_COLOR GL_ZERO
  }
}

textures/tributes/uberjumps/uber_ads_urtrocks
{
	surfaceparm nodamage
	{
		map $lightmap
		rgbGen identity
	}
	qer_editorimage textures/tributes/uberjumps/ads_urtrocks.jpg
	{
 		map textures/tributes/uberjumps/ads_urtrocks.jpg
		blendFunc GL_DST_COLOR GL_ZERO
  }
}

textures/tributes/uberjumps/uber_ads_piospizza
{
	surfaceparm nodamage
	{
		map $lightmap
		rgbGen identity
	}
	qer_editorimage textures/tributes/uberjumps/ads_piospizza.jpg
	{
 		map textures/tributes/uberjumps/ads_piospizza.jpg
		blendFunc GL_DST_COLOR GL_ZERO
  }
}

textures/tributes/uberjumps/uber_ads_kryptik
{
	surfaceparm nodamage
	{
		map $lightmap
		rgbGen identity
	}
	qer_editorimage textures/tributes/uberjumps/ads_kryptik.jpg
	{
 		map textures/tributes/uberjumps/ads_kryptik.jpg
		blendFunc GL_DST_COLOR GL_ZERO
  }
}

textures/tributes/uberjumps/uber_ads_sliceydance
{
	surfaceparm nodamage
	{
		map $lightmap
		rgbGen identity
	}
	qer_editorimage textures/tributes/uberjumps/ads_sliceydance.jpg
	{
 		map textures/tributes/uberjumps/ads_sliceydance.jpg
		blendFunc GL_DST_COLOR GL_ZERO
  }
}

textures/tributes/uberjumps/uber_ads_meatpizza
{
	surfaceparm nodamage
	{
		map $lightmap
		rgbGen identity
	}
	qer_editorimage textures/tributes/uberjumps/ads_meatpizza.jpg
	{
 		map textures/tributes/uberjumps/ads_meatpizza.jpg
		blendFunc GL_DST_COLOR GL_ZERO
  }
}

textures/tributes/uberjumps/uber_ads_unfoog
{
	surfaceparm nodamage
	{
		map $lightmap
		rgbGen identity
	}
	qer_editorimage textures/tributes/uberjumps/ads_unfoog.jpg
	{
 		map textures/tributes/uberjumps/ads_unfoog.jpg
		blendFunc GL_DST_COLOR GL_ZERO
  }
}

textures/tributes/uberjumps/uber_ads_unfoog_small
{
	surfaceparm nodamage
	{
		map $lightmap
		rgbGen identity
	}
	qer_editorimage textures/tributes/uberjumps/ads_unfoog_small.jpg
	{
 		map textures/tributes/uberjumps/ads_unfoog_small.jpg
		blendFunc GL_DST_COLOR GL_ZERO
  }
}

textures/tributes/uberjumps/uber_ads_pixies
{
	surfaceparm nodamage
	{
		map $lightmap
		rgbGen identity
	}
	qer_editorimage textures/tributes/uberjumps/ads_pixies.jpg
	{
 		map textures/tributes/uberjumps/ads_pixies.jpg
		blendFunc GL_DST_COLOR GL_ZERO
  }
}

textures/tributes/uberjumps/uber_ads_citrona
{
	surfaceparm nodamage
	{
		map $lightmap
		rgbGen identity
	}
	qer_editorimage textures/tributes/uberjumps/ads_citrona.jpg
	{
 		map textures/tributes/uberjumps/ads_citrona.jpg
		blendFunc GL_DST_COLOR GL_ZERO
  }
}

textures/tributes/uberjumps/uber_ads_citrona_small
{
	surfaceparm nodamage
	{
		map $lightmap
		rgbGen identity
	}
	qer_editorimage textures/tributes/uberjumps/ads_citrona_small.jpg
	{
 		map textures/tributes/uberjumps/ads_citrona_small.jpg
		blendFunc GL_DST_COLOR GL_ZERO
  }
}

textures/tributes/uberjumps/uber_ads_kalmalids_korner
{
	surfaceparm nodamage
	{
		map $lightmap
		rgbGen identity
	}
	qer_editorimage textures/tributes/uberjumps/ads_kalmalids_korner.jpg
	{
 		map textures/tributes/uberjumps/ads_kalmalids_korner.jpg
		blendFunc GL_DST_COLOR GL_ZERO
  }
}

textures/tributes/uberjumps/uber_ads_pishkins_shop
{
	surfaceparm nodamage
	{
		map $lightmap
		rgbGen identity
	}
	qer_editorimage textures/tributes/uberjumps/ads_pishkins_shop.jpg
	{
 		map textures/tributes/uberjumps/ads_pishkins_shop.jpg
		blendFunc GL_DST_COLOR GL_ZERO
  }
}

textures/tributes/uberjumps/uber_ads_yapps
{
	surfaceparm nodamage
	{
		map $lightmap
		rgbGen identity
	}
	qer_editorimage textures/tributes/uberjumps/ads_yapps.jpg
	{
 		map textures/tributes/uberjumps/ads_yapps.jpg
		blendFunc GL_DST_COLOR GL_ZERO
  }
}

textures/tributes/uberjumps/uber_ads_thanks
{
	surfaceparm nodamage
	{
		map $lightmap
		rgbGen identity
	}
	qer_editorimage textures/tributes/uberjumps/ads_thanks.jpg
	{
 		map textures/tributes/uberjumps/ads_thanks.jpg
		blendFunc GL_DST_COLOR GL_ZERO
  }
}